=== debian/changelog ===
squeezelite (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #729885)

 -- Chris Boot <debian@bootc.net>  Mon, 18 Nov 2013 15:44:55 +0000
