=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
# libraries
export OPTS=-DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL

%:
	dh $@
