## squeezelite 1.6.4

=== debian/changelog ===
squeezelite (1.6.4-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:34:26 +0100

squeezelite (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/man/squeezelite.1 with new -e option, remove list of codecs
    for the -c option, minor formatting tweaks.

 -- Chris Boot <debian@bootc.net>  Sun, 13 Jul 2014 16:52:16 +0100

squeezelite (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/typo-fix-suppored.patch: fixed upstream.
  * Update debian/man/squeezelite.1 with new delay arguments to -r and -D.

 -- Chris Boot <debian@bootc.net>  Sat, 12 Apr 2014 18:41:04 +0100

squeezelite (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Boot <debian@bootc.net>  Sat, 22 Mar 2014 22:32:51 +0000
