=== debian/changelog ===
squeezelite (1.8-4build1) zesty; urgency=medium

  * Rebuild against drop liblircclient0 dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2016 11:14:10 +0100

squeezelite (1.8-4) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Add lsb-base to Depends for init scripts.
  * Update Vcs-Git/Browser URLs.

 -- Chris Boot <bootc@debian.org>  Sat, 12 Nov 2016 14:06:01 +0000

squeezelite (1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/rename-logs.patch:
    - rename LOG_* functions to avoid clashes with the one in syslog.h
      (Closes: #842330)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Oct 2016 13:50:26 +0100

squeezelite (1.8-3) unstable; urgency=medium

  * debian/man/squeezelite.1: remove mentions of communitysqueeze.org: the
    project and its accompanying web site are now defunct. (Closes: #809183)

 -- Chris Boot <bootc@debian.org>  Sun, 21 Feb 2016 13:09:19 +0000

squeezelite (1.8-2) unstable; urgency=medium

  * Fix FTBFS with ffmpeg 2.9. Thanks Andreas Cadhalpun for both reporting the
    issue and providing a patch to fix it. (Closes: #803882)
  * Use my new debian.org email address.

 -- Chris Boot <bootc@debian.org>  Sun, 10 Jan 2016 10:17:31 +0000

squeezelite (1.8-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches for Makefile changes.
    - Should fix a crash when resampling. (Closes: #774524)
  * Tweak debian/copyright based on debmake -k's suggestions.
  * Enable LIRC support.
  * Bump standards version to 3.8.6 (no changes required).
  * Update debian/man/squeezelite.1 to document new features/options added
    since 1.6.4.

 -- Chris Boot <debian@bootc.net>  Tue, 12 May 2015 19:56:54 +0100
