=== debian/control ===
--- 
+++ 
@@ -1,18 +1,27 @@
 Source: squeezelite
 Section: sound
 Priority: extra
-Maintainer: Chris Boot <debian@bootc.net>
-Build-Depends: debhelper (>= 9~), libasound2-dev, libflac-dev, libmad0-dev,
- libvorbis-dev, libfaad-dev, libmpg123-dev, libsoxr-dev, libavformat-dev,
- portaudio19-dev
-Standards-Version: 3.9.5
+Maintainer: Chris Boot <bootc@debian.org>
+Build-Depends:
+ debhelper (>= 9~),
+ libasound2-dev,
+ libavformat-dev,
+ libfaad-dev,
+ libflac-dev,
+ liblircclient-dev,
+ libmad0-dev,
+ libmpg123-dev,
+ libsoxr-dev,
+ libvorbis-dev,
+ portaudio19-dev,
+Standards-Version: 3.9.8
 Homepage: https://code.google.com/p/squeezelite/
-Vcs-Git: git://anonscm.debian.org/collab-maint/squeezelite.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/squeezelite.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/squeezelite.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/squeezelite.git
 
 Package: squeezelite
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite-pa
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -29,7 +38,7 @@
 
 Package: squeezelite-pa
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version
