## squeezelite 1.9%2Bgit20210102.78fef68

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: squeezelite
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Chris Boot <bootc@debian.org>
+Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 13),
  libasound2-dev,
  libavformat-dev,
  libfaad-dev,
@@ -11,18 +12,22 @@
  liblircclient-dev,
  libmad0-dev,
  libmpg123-dev,
+ libpulse-dev,
  libsoxr-dev,
+ libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 3.9.8
-Homepage: https://code.google.com/p/squeezelite/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/squeezelite.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/squeezelite.git
+Standards-Version: 4.5.1
+Homepage: https://github.com/ralph-irving/squeezelite
+Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
+Vcs-Browser: https://salsa.debian.org/debian/squeezelite
+Rules-Requires-Root: no
 
 Package: squeezelite
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: squeezelite-pa
+Conflicts: squeezelite-pa, squeezelite-pulseaudio
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
  supporting high quality audio including USB DAC based output at multiple
@@ -38,8 +43,9 @@
 
 Package: squeezelite-pa
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: squeezelite
+Conflicts: squeezelite, squeezelite-pulseaudio
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -53,3 +59,22 @@
  .
  This package is built with the resampling, ffmpeg and visualisation export
  options. It uses PortAudio for audio output.
+
+Package: squeezelite-pulseaudio
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: squeezelite, squeezelite-pa
+Provides: squeezelite
+Description: lightweight headless Squeezebox emulator - PulseAudio version
+ Squeezelite is a small headless Squeezebox emulator. It is aimed at
+ supporting high quality audio including USB DAC based output at multiple
+ sample rates.
+ .
+ It supports decoding PCM (WAV/AIFF), FLAC, MP3, Ogg, AAC, WMA and ALAC
+ audio formats. It can also resample audio, which allows squeezelite to
+ upsample the output to the highest sample rate supported by the output
+ device.
+ .
+ This package is built with the resampling, ffmpeg and visualisation export
+ options. It uses PulseAudio for audio output.
