## squeezelite 1.9+git20210102.78fef68

=== debian/changelog ===
squeezelite (1.9+git20210102.78fef68-3) unstable; urgency=medium

  * Upload to unstable.
  * Add debian/gbp.conf for DEP-14 layout.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Jan 2021 10:20:27 -0800

squeezelite (1.9+git20210102.78fef68-2) experimental; urgency=medium

  * Add squeezelite-pulseaudio compiled with PulseAudio instead of ALSA:
    - Add new squeezelite-pulseaudio binary package
    - Add Build-Depends on libpulse-dev
    - squeezelite, -pa, and -pulseaudio conflict with each other

 -- tony mancill <tmancill@debian.org>  Tue, 05 Jan 2021 19:33:16 -0800

squeezelite (1.9+git20210102.78fef68-1) unstable; urgency=medium

  * Initial upload of 1.9.x to unstable
  * New upstream version 1.9+git20210102.78fef68
    Identifies player as "Firmware: v1.9.8-1317"
  * Enable SSL during build
  * Use upstream manpage for squeezelite
  * Update debian/copyright to document OpenSSL exception

 -- tony mancill <tmancill@debian.org>  Sat, 02 Jan 2021 12:46:18 -0800

squeezelite (1.9+git20201216.e02fa87-1) experimental; urgency=medium

  * New upstream version 1.9+git20201216.e02fa87
    Identifies as "Firmware: v1.9.8-1307"
  * Freshen debian/copyright
  * Remove patches applied upstream
  * Remove patch to avoid syslog.h clash with lirc; addressed upstream
  * Update Homepage and Source URLs
  * Disable unused lintian override
  * Document lack of release/tags upstream in debian/watch

 -- tony mancill <tmancill@debian.org>  Wed, 30 Dec 2020 12:37:49 -0800

squeezelite (1.8-5) unstable; urgency=medium

  * Use debhelper-compat 13
  * Update Vcs URLs to point to Salsa
  * Set Rules-Requires-Root: no in debian/control
  * Update Format URL in debian/copyright
  * Bump Standards-Version to 4.5.1
  * Set Priority to "optional"
  * Add Pre-Depends: ${misc:Pre-Depends} to binary packages
  * Add myself to Uploaders

 -- tony mancill <tmancill@debian.org>  Tue, 29 Dec 2020 10:52:27 -0800

squeezelite (1.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with ffmpeg 4.0. Thanks to James Cowgill for the
    patch. (Closes: #888335)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 22:17:50 +0200
