=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
 # libraries
-export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL
+export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL
 
 # Enable all hardening build flags
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -17,9 +17,9 @@
 %:
 	dh $@
 
-override_dh_auto_build: build_squeezelite build_squeezelite-pa
+override_dh_auto_build: build_squeezelite build_squeezelite-pa build_squeezelite-pulseaudio
 
-override_dh_auto_clean: clean_squeezelite clean_squeezelite-pa
+override_dh_auto_clean: clean_squeezelite clean_squeezelite-pa clean_squeezelite-pulseaudio
 	# This is needed to fully clean built objects if the Makefile patches
 	# are not applied.
 	rm -f *.o dsd2pcm/*.o
@@ -40,5 +40,13 @@
 clean_squeezelite-pa:
 	dh_auto_clean -- EXECUTABLE=squeezelite-pa
 
+build_squeezelite-pulseaudio: OPTS += -DPULSEAUDIO
+build_squeezelite-pulseaudio: clean_squeezelite-pulseaudio
+	dh_auto_build -- EXECUTABLE=squeezelite-pulseaudio
+
+clean_squeezelite-pulseaudio:
+	dh_auto_clean -- EXECUTABLE=squeezelite-pulseaudio
+
 .PHONY: build_squeezelite clean_squeezelite \
-	build_squeezelite-pa clean_squeezelite-pa
+	build_squeezelite-pa clean_squeezelite-pa \
+	build_squeezelite-pulseaudio clean_squeezelite-pulseaudio
