=== debian/watch ===
version=4
# debian/watch
# Disabled because upstream does not want to apply tags.  See requests:
# - https://github.com/ralph-irving/squeezelite/issues/29
# - https://github.com/ralph-irving/squeezelite/issues/55
# - https://github.com/ralph-irving/squeezelite/issues/63
# - https://github.com/ralph-irving/squeezelite/issues/107 (yours)
#
# Upstream repo:
#   https://github.com/ralph-irving/squeezelite
#
# The orig.tar.gz is created using `git archive` - for example:
#   git archive --format=tgz --prefix=squeezelite-1.9+git2021216.e02fa87/ --output=../squeezelite_1.9+git20201216.e02fa87.orig.tar.gz e02fa87128debc65e26c582f1a017a20a53d1bcf
