## squeezelite 1.9+git20210513.556de56

=== debian/changelog ===
squeezelite (1.9+git20210513.556de56-1) unstable; urgency=medium

  * New upstream version 1.9+git20210513.556de56
    Identifies player as "Firmware: v1.9.9-1386"
  * Update debian/gbp.conf for debian/latest (DEP-14)
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Mon, 23 Aug 2021 08:44:50 -0700
