## squeezelite 1.9.9-1392+git20211113.3ffdbb9

=== debian/changelog ===
squeezelite (1.9.9-1392+git20211113.3ffdbb9-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:21:55 +0100

squeezelite (1.9.9-1392+git20211113.3ffdbb9-1) unstable; urgency=medium

  * New upstream version 1.9.9-1392+git20211113.3ffdbb9
  * Include full player version in the upstream version.
    This matches how the player reports its version to LMS
    and is more closely aligned with the versioning in Fedora.

 -- tony mancill <tmancill@debian.org>  Sat, 13 Nov 2021 13:53:51 -0800
