## squeezelite 1.9.9-1395+git20220104.874e4f9

=== debian/changelog ===
squeezelite (1.9.9-1395+git20220104.874e4f9-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:08:02 +0000

squeezelite (1.9.9-1395+git20220104.874e4f9-1) unstable; urgency=medium

  * New upstream version 1.9.9-1395+git20220104.874e4f9
    No longer use deprecated ffmpeg functions

 -- tony mancill <tmancill@debian.org>  Sun, 09 Jan 2022 09:13:26 -0800
