=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite
