## squeezelite 1.9.9-1414+git20221121.dbe69eb

=== debian/changelog ===
squeezelite (1.9.9-1414+git20221121.dbe69eb-1) unstable; urgency=medium

  * New upstream version 1.9.9-1414+git20221121.dbe69eb
  * Enable -DOPUS and add build-dep on libopus-dev and libopusfile-dev

 -- tony mancill <tmancill@debian.org>  Sat, 10 Dec 2022 16:19:57 -0800
