=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,6 +12,8 @@
  liblircclient-dev,
  libmad0-dev,
  libmpg123-dev,
+ libopus-dev,
+ libopusfile-dev,
  libpulse-dev,
  libsoxr-dev,
  libssl-dev,
