## squeezelite 1.9.9-1449+git20230814.8581aba

=== debian/changelog ===
squeezelite (1.9.9-1449+git20230814.8581aba-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:21:15 +0200

squeezelite (1.9.9-1449+git20230814.8581aba-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:04 +1100

squeezelite (1.9.9-1449+git20230814.8581aba-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:25:25 +0000

squeezelite (1.9.9-1449+git20230814.8581aba-1) unstable; urgency=medium

  * New upstream version 1.9.9-1449+git20230814.8581aba
  * Drop dependency on lsb-base
  * Bump Standards-Version to 4.6.2
  * Replace build-dep on liblircclient-dev with liblirc-dev

 -- tony mancill <tmancill@debian.org>  Tue, 28 Nov 2023 10:57:13 -0800
