=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,7 +10,7 @@
  libavformat-dev,
  libfaad-dev,
  libflac-dev,
- liblircclient-dev,
+ liblirc-dev,
  libmad0-dev,
  libmpg123-dev,
  libopus-dev,
@@ -19,7 +20,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite
@@ -28,7 +29,7 @@
 Package: squeezelite
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite-pa, squeezelite-pulseaudio
 Description: lightweight headless Squeezebox emulator - ALSA version
  Squeezelite is a small headless Squeezebox emulator. It is aimed at
@@ -46,7 +47,7 @@
 Package: squeezelite-pa
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite, squeezelite-pulseaudio
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PortAudio version
@@ -65,7 +66,7 @@
 Package: squeezelite-pulseaudio
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: squeezelite, squeezelite-pa
 Provides: squeezelite
 Description: lightweight headless Squeezebox emulator - PulseAudio version
