=== debian/watch ===
version=4
# debian/watch
# Upstream does not apply tags.  See requests:
# - https://github.com/ralph-irving/squeezelite/issues/29
# - https://github.com/ralph-irving/squeezelite/issues/55
# - https://github.com/ralph-irving/squeezelite/issues/63
# - https://github.com/ralph-irving/squeezelite/issues/107 (yours)
#
# Upstream repo:
#   https://github.com/ralph-irving/squeezelite
#
# The orig.tar.gz is created using `git archive` against the upstream repo - for example:
#   git archive --format=tgz --prefix=squeezelite-1.9.9-1414+git20221121.dbe69eb/ --output=../squeezelite_1.9.9-1414+git20221121.dbe69eb.orig.tar.gz dbe69eb8aa88f644cfb46541d6cef72fa666570d
#
# the major, minor, and micro versions are taken from https://github.com/ralph-irving/squeezelite/blob/master/squeezelite.h

opts="mode=git,pgpmode=none,pretty=1.9.9-xxxx+git%cd.%h" \
    https://github.com/ralph-irving/squeezelite heads/master debian
