## squeezelite 2.0.0-1481+git20240404.c751ef1

=== debian/changelog ===
squeezelite (2.0.0-1481+git20240404.c751ef1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Thu, 02 May 2024 20:49:46 -0700

squeezelite (2.0.0-1481+git20240404.c751ef1-1) experimental; urgency=medium

  * New upstream version 2.0.0-1481+git20240404.c751ef1

 -- tony mancill <tmancill@debian.org>  Sat, 06 Apr 2024 15:39:29 -0700

squeezelite (2.0.0-1476+git20240328.7bba683-1) experimental; urgency=medium

  * New upstream version 2.0.0-1476+git20240328.7bba683
  * Upload to experimental due to ongoing transitions
  * Update Maintainer field as per discussion with Chris Boot.
    Thank you Chris for taking care of squeezelite for so long.
  * Add "debian/get-upstream-tarball.sh" to make updating easier and
    replace debian/watch with a no-op, since it doesn't accurately
    report new upstream versions.

 -- tony mancill <tmancill@debian.org>  Thu, 28 Mar 2024 15:59:24 -0700
