## squeezelite 2.0.0-1488+git20240509.0e85ddf

=== debian/changelog ===
squeezelite (2.0.0-1488+git20240509.0e85ddf-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:25:26 +0200

squeezelite (2.0.0-1488+git20240509.0e85ddf-1) unstable; urgency=medium

  * New upstream version 2.0.0-1488+git20240509.0e85ddf
    Fixes FTBFS against ffmpeg 7.0 (Closes: #1072452)

 -- tony mancill <tmancill@debian.org>  Sun, 02 Jun 2024 09:15:48 -0700
