## squeezelite 2.0.0-1517+git20241227.262994a

=== debian/changelog ===
squeezelite (2.0.0-1517+git20241227.262994a-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:39:31 -0500

squeezelite (2.0.0-1517+git20241227.262994a-1) unstable; urgency=medium

  * New upstream version 2.0.0-1517+git20241227.262994a

 -- tony mancill <tmancill@debian.org>  Thu, 02 Jan 2025 12:25:45 -0800
