=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: squeezelite
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Boot <bootc@debian.org>
-Uploaders: tony mancill <tmancill@debian.org>
+Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
@@ -20,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite
