## squeezelite 2.0.0-1541+git20250609.72e1fd8

=== debian/changelog ===
squeezelite (2.0.0-1541+git20250609.72e1fd8-1) unstable; urgency=medium

  * New upstream version 2.0.0-1541+git20250609.72e1fd8
  * Add systemd unit file (Closes: #1039382)
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2
  * Update example in /etc/default/squeezelite

 -- tony mancill <tmancill@debian.org>  Mon, 20 Oct 2025 20:14:12 -0700
