=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libssl-dev,
  libvorbis-dev,
  portaudio19-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ralph-irving/squeezelite
 Vcs-Git: https://salsa.debian.org/debian/squeezelite.git
 Vcs-Browser: https://salsa.debian.org/debian/squeezelite
