=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Enable ffmpeg, soxr resampling, visualisation export and disable dlopening
-# libraries
-export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL
+# Enable ffmpeg, sox resampling, visualisation export, opus,
+# and disable dlopening libraries
+export OPTS := -DDSD -DFFMPEG -DRESAMPLE -DVISEXPORT -DLINKALL -DIR -DUSE_SSL -DOPUS -I/usr/include/opus
 
 # Enable all hardening build flags
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -26,6 +26,9 @@
 
 override_dh_installinit:
 	dh_installinit --name=squeezelite
+
+override_dh_installsystemd:
+	dh_installsystemd --name=squeezelite
 
 build_squeezelite: clean_squeezelite
 	dh_auto_build -- EXECUTABLE=squeezelite
