=== debian/watch ===
# Upstream doesn't generate tags, but squeezelite does have a version
# string that we want to expose in the package version.
#
# Therefore, instead of having debian/watch report odd versions, the
# maintainer is a watcher of all activity in the upstream repo.
#
# See debian/get-upstream-tarball.sh and debian/watch-local for details.
